package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.GP_Pricing;
import com.rjconsultores.ventaboletos.entidad.GP_PricingOcupaAntecipa;
import com.rjconsultores.ventaboletos.exception.BusinessException;
import com.rjconsultores.ventaboletos.vo.pricing.GP_PricingOcupaAntecipaLegendaVO;
import com.rjconsultores.ventaboletos.vo.pricing.GP_PricingOcupaAntecipaVO;

public interface GP_PricingOcupaAntecipaService {

	public GP_PricingOcupaAntecipa obtenerID(Integer pricingocupaantecipaId) throws BusinessException;
	
	public GP_PricingOcupaAntecipa suscribir(GP_PricingOcupaAntecipa entidad) throws BusinessException;

	public GP_PricingOcupaAntecipa actualizacion(GP_PricingOcupaAntecipa entidad) throws BusinessException;

	public void borrar(GP_PricingOcupaAntecipa entidad);
	
	public List<GP_PricingOcupaAntecipa> updateList(GP_PricingOcupaAntecipa entidad);
	
	public List<GP_PricingOcupaAntecipaVO> carregarPricingOcupaAntecipaVO(Integer pricingId);
	
	public List<GP_PricingOcupaAntecipa> carregarPricingOcupaAntecipa(Integer pricingId);
	
	public List<GP_PricingOcupaAntecipaLegendaVO> carregarPricingOcupaAntecipaLegenda(Integer pricingId);

	List<GP_PricingOcupaAntecipaVO> carregarPricingOcupaAntecipaVO(List<GP_PricingOcupaAntecipa> pricingOcupaAntecipas);

	List<GP_PricingOcupaAntecipaLegendaVO> carregarPricingOcupaAntecipaLegenda(List<GP_PricingOcupaAntecipa> lsPricingOcupaAntecipa);

	public List<GP_PricingOcupaAntecipa> obtenerTodoPorPricing(GP_Pricing pricing);
}
